/*
   Copyright (C) 2003, 2004, Intel Corporation

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef DIALERIMPL_H
#define DIALERIMPL_H


#include "dialer.h"
#include "atphone.h"
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlineedit.h>

#define MAXSIZEOFPHONE 25

class QLabel;

class DialerImpl:public Dialer
{
Q_OBJECT public:
    DialerImpl (QWidget * parent = 0, const char *name = 0, WFlags f = 0);

  public slots:void numkeysdown (int i);
  void ctrlkeysdown (int i);
  void returnpress ();
  void Dial (QString qstr);
  void Hangup ( void );
  void Answer( void );
  void warning( char* text );

  void Hangedup( void );
  void InACall( void );

  int connected;

private:
  QButtonGroup numkeys;
  QButtonGroup ctrlkeys;
  class atphone *phone;

};

#endif
