set +x

# help 
if [ "$1" == "" ] || [ "$1" == "-h" ] || [ "$1" == "--help" ]; then
	echo "build-uninstall.sh <root directory>"
	echo
	exit
fi

target=$1;

echo -n "uninstall ."
for i in `find output -depth`; do
	j=`echo $i | sed -e "s#output/##"`;
	j=$target/$j;
	if [ ! -d $j ]; then rm -f $j; fi
	if [ -d $j ]; then rmdir $j; fi
	echo -n "."
done
echo "done"

rmdir $target
